Signiant Support

[February 22, 2017] Plug-in Support and the Signiant App

Because of changes on behalf of a number of web browser vendors, we've had to make some changes so you can continue to use Media Shuttle, the Signiant App and Media Exchange.

Media Shuttle, Signiant App and Media Exchange users, please review the bullet points below and choose the appropriate browser for your operating system.

Media Exchange Users:

Please use FireFox ESR, Internet Explorer, or Safari and contact your Media Exchange administrator for more information.

Media Shuttle and Signiant App Users:

Windows Users: to find out your operating system, select Start > Control Panel > System to view your Windows Properties. Mac and Linux Users: Please use Firefox ESR.
Background Information

For a number of years browser vendors have been working to allow web applications a more secure and robust way to create rich interactions. A significant part of that effort has been to reduce the dependency on the Netscape Plug-in API (NPAPI ).

In early March, Mozilla Firefox will no longer support NPAPI. This impacts any Media Shuttle and Media Exchange users who are using the Signiant App or Signiant Transfer API with Firefox. This follows on the September 2015 decision by Google Chrome to stop supporting NPAPI.

What does the Mozilla Firefox update mean for Media Shuttle users?
Users who upgrade to Firefox 52 or higher are automatically prompted to install the Signiant App (does not apply to 32-bit Windows users). After downloading and installing the Signiant App, you can continue to use Media Shuttle as you have in the past. If you're using Windows 32-bit, you'll need to use either Safari or Internet Explorer. 

What does this mean for Media Shuttle users using Google Chrome?
If you're using Google Chrome 42 or higher, you need to download and install the Signiant App to upload and download your content. If you're using Windows 32-bit, you'll need to use either Safari or Internet Explorer. 

What does the Mozilla Firefox update mean for Media Exchange users?
Administrators using Media Exchange can modify their configuration to allow Firefox users to take advantage of the Signiant App. Once this change is made, Firefox users are prompted to install the Signiant App. They will continue to use Signiant software as they have in the past. Customers using the Media Exchange Java client will also need to update their configurations to use the Signiant App on Firefox.

We recommend that configuration updates are made prior to the new release of Firefox on March 7. For any customers not ready to use the Signiant App, change your Firefox release path to the Firefox Extended Support Release (ESR). Mozilla Firefox ESR is meant for organizations that manage their client desktops, including schools, businesses and other institutions that want to offer Firefox. For more details on ESR please see the Mozilla Frequently Asked Questions (https://www.mozilla.org/en-US/firefox/organizations/faq/).

Summary Table
 
Browser/Platform Media Shuttle Media Exchange Transfer API
Chrome 42+
Firefox 52+
Upgrade to Signiant App Configure to use the Signiant App on Firefox Upgrade to TAPI version 2 (Signiant App)
Firefox ESR Plug-in supported Plug-in supported TAPI version 1 supported
Firefox Linux Move to Firefox ESR plug-in supported Move to Firefox ESR plug-in supported Move to Firefox ESR TAPI version 1 supported